#ifndef __mylcd_h
#define __mylcd_h

//oscillator speed, in KHz. should ideally be defined by including file
#define OSC_SPD_LCD 1000.0

#define DELAY_PER_MS (OSC_SPD_LCD/4000.0)

void initLCD( void );						//Initialize
void DelayFor18TCY( void );					//18 instr delay
void DelayPORXLCD( void );					//15ms delay
void DelayXLCD( void );						//8ms delay
void setLine(int i);						//move cursor here
void setPos(int row, int col);				//move cursor here
void clearLine( int lineNum );				//clear this line
void delay ( unsigned int millisecs );		//delay for this long
void delayMicro( unsigned int microsecs );	//delay for this long
void writeFloatToLCD ( float f );			//write a float value
void putchar( char c ); //same as putcXLCD but adds a 160us delay beforehand

/*
	//commands for reference:
	CONSTANT  LCDCLR  = b'00000001'	; clear display: resets address counter & cursor
	CONSTANT  LCDCH   = b'00000010'	; cursor home
	CONSTANT  LCDCR   = b'00000110'	; entry mode set: cursor moves right, display auto-shift off
	CONSTANT  LCDCL   = b'00000100'	; entry mode set: cursor moves left, display auto-shift off
	CONSTANT  LCDCONT = b'00001100'	; display control: display on, cursor off, blinking off
	CONSTANT  LCDMCL  = b'00010000'	; cursor/disp control: move cursor left
	CONSTANT  LCDMCR  = b'00010100'	; cursor/disp control: move cursor right
	CONSTANT  LCDSL   = b'00011000'	; cursor/disp control: shift display content left
	CONSTANT  LCDSR   = b'00011100'	; cursor/disp control: shift display content right
	CONSTANT  LCD2L   = b'00101000'	; function set: 4 bit mode, 2 lines, 5x7 dots
	CONSTANT  LCDL1   = b'10000000'	; DDRAM address: 0x00, selects line 1
	CONSTANT  LCDL2   = b'11000000'	; DDRAM address: 0x40, selects line 2
	CONSTANT  LCDL3   = b'10010100'	; DDRAM address: 0x14, selects line 3 (4x20 LCD)
	CONSTANT  LCDL4   = b'11010100'	; DDRAM address: 0x54, selects line 4 (4x20 LCD)

	lcd_char(0x0d);
    lcd_char(0x0a);	// new line function
*/


#endif
